package com.inca.npbusi;

import com.inca.np.util.DefaultNPParam;
import com.inca.npclient.Startnpclient;
import com.inca.npserver.install.Installinfo;
import com.inca.npserver.install.InstallinfoDB;
import com.inca.npserver.install.InstallinfoReader;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class RunNpClient {

   static {
      (new File("logs")).mkdirs();
      DefaultNPParam.debug = 1;
      DefaultNPParam.develop = 1;
      DefaultNPParam.debugdbip = "127.0.0.1";
      DefaultNPParam.debugdbpasswd = "jsdkzs";
      DefaultNPParam.debugdbsid = "orcl";
      DefaultNPParam.debugdbusrname = "jsdkzs";

      try {
         Class.forName("oracle.jdbc.driver.OracleDriver");
      } catch (Exception var1) {
         var1.printStackTrace();
      }
   }

   public static void run() {
      Startnpclient var0;
      (var0 = new Startnpclient()).pack();
      var0.setVisible(true);
   }

   public static void installInfo() {
      Connection var0 = null;

      try {
         try {
            File var1 = new File("conf/installinfo");
            BufferedReader var2 = new BufferedReader(new InputStreamReader(new FileInputStream(var1), "gbk"));
            Installinfo var13 = (new InstallinfoReader()).read(var2);
            InstallinfoDB.install(var0 = DriverManager.getConnection("jdbc:oracle:thin:@" + DefaultNPParam.debugdbip + ":1521:" + DefaultNPParam.debugdbsid, DefaultNPParam.debugdbusrname, DefaultNPParam.debugdbpasswd), var13);
            var0.commit();
            return;
         } catch (Exception var11) {
            if(var0 != null) {
               try {
                  var0.rollback();
               } catch (SQLException var10) {
                  var10.printStackTrace();
               }
            }
         }

         var11.printStackTrace();
      } finally {
         if(var0 != null) {
            try {
               var0.close();
            } catch (SQLException var9) {
               var9.printStackTrace();
            }
         }

      }

   }

   public static void main(String[] var0) {
      installInfo();
      run();
   }
}
